<app-home></app-home>
<div [hidden]="!hasDevices">

    <mat-menu #appMenu="matMenu">
        <mat-selection-list>
            <mat-list-option checkboxPosition="start" (click)="toggleTryHarder()" [selected]="tryHarder">
                Enable Try-harder
            </mat-list-option>
            <mat-list-option checkboxPosition="start" (click)="toggleTorch()" [selected]="torchEnabled"
                *ngIf="torchAvailable$ | async">
                Enable Torch
            </mat-list-option>
        </mat-selection-list>
        <mat-divider></mat-divider>
        <button mat-menu-item (click)="openFormatsDialog()">Barcode formats</button>
        <button mat-menu-item (click)="openInfoDialog()">App info</button>
    </mat-menu><br>

    <td>
        <button id="car" mat-button (click)="onViewCar()">
            <mat-icon>local_grocery_store</mat-icon>
        </button>
    </td>


    <!--<header>
        <mat-form-field appearance="fill">
            <select matNativeControl matInput (change)="onDeviceSelectChange($event.target.value)">
                <option value="" [selected]="!currentDevice">No Device Selected</option>
                <option *ngFor="let device of availableDevices" [value]="device.deviceId"
                    [selected]="currentDevice && device.deviceId === currentDevice.deviceId">{{device.label}}</option>
            </select>
        </mat-form-field>
        <button mat-icon-button [matMenuTriggerFor]="appMenu">
            <mat-icon>more_vert</mat-icon>
        </button>
    </header>-->
    <br>

    <div class="">
        <section *ngIf="qrResultString">
            <div id="result">
                <div>
                    <mat-form-field class="fullwidth">
                        <input type="number" disabled="true" matInput placeholder="Codigo de Barras">{{codeBarra}}
                    </mat-form-field>
                </div>

                <div>
                    <mat-form-field class="fullwidth">
                        <input type="text" disabled="true" matInput placeholder="Peso Produto">{{pesoProd}}
                    </mat-form-field>
                </div>

                <div>
                    <mat-form-field class="fullwidth">
                        <input type="text" disabled="true" matInput placeholder="Descrição">{{descProd}}
                    </mat-form-field>
                </div>

                <div>
                    <mat-form-field class="fullwidth">
                        <input type="text" disabled="true" matInput
                            placeholder="Preço Unitário">{{precoUnit | currency}}
                    </mat-form-field>
                </div>

            </div>

        </section>
    </div><br>

    <div class="">
        <section *ngIf="qrResultString">
            <td>
                <button id="btDown" mat-button (click)="qtdDown()">-</button>
            </td>
            <td>
                <mat-form-field class="fullwidth">
                    <input disabled="true" type="number" matInput id="qtd" [(ngModel)]="qtd" name="qtd">
                </mat-form-field>
            </td>
            <td>
                <button id="btUp" mat-button (click)="qtdUp()">+</button>
            </td>

            <mat-form-field class="fullwidth">
                Total<input disabled="true" type="number" matInput id="total" name="total"> {{total | currency}}
            </mat-form-field>

            <div style="height: 10px;"></div>
            <mat-card-actions>
                <button mat-raised-button (click)="onAddItemCarrinho()" color="primary">
                    <i class="material-icons">add_shopping_cart</i> Incluir item no
                    carrinho</button><br>
            </mat-card-actions><br>

            <mat-card-actions>
                <button mat-raised-button (click)="clearResult()" color="primary">
                    <i class="material-icons">arrow_back</i> Escanear outro item  </button><br>
            </mat-card-actions>

            <div style="height: 50px;"></div>
        </section>
        
        <div>
            <zxing-scanner [torch]="torchEnabled" [(device)]="currentDevice" (scanSuccess)="onCodeResult($event)"
                [formats]="formatsEnabled" [tryHarder]="tryHarder" (permissionResponse)="onHasPermission($event)"
                (camerasFound)="onCamerasFound($event)" (torchCompatible)="onTorchCompatible($event)">
            </zxing-scanner><br>

            <div id="bt">
                <td id="td">
                    <mat-form-field class="fullwidth">
                        <input type="number" matInput placeholder="Digite o código caso o scanner falhar " id="code"
                            [(ngModel)]="code" name="code">
                    </mat-form-field>
                </td>
                <td>
                    <button mat-button (click)="findByItemBarCode()"><i class="material-icons">
                        search
                        </i></button>
                </td>
            </div>
        </div>